import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from './components/view.component';

import {
  LoosingsResolver,
  LoosingResolver,
} from './resolvers/loosing.resolver';

export const loosingRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      loosings: LoosingsResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    // resolve: {
    //   loosing: LoosingResolver,
    // },
  },
];
